Bug 48916 - FORMATTING: The clipping of EMF files are ignored.
Summary: FORMATTING: The clipping of EMF files are ignored.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2012-04-19 02:21 UTC by Horcrux7
Modified: 2018-06-10 02:45 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
ODS file with EMF file (3.52 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-04-19 02:21 UTC, Horcrux7
Details
emf file result with LibreOffice3.5.2 (10.52 KB, image/jpeg)
2012-04-19 02:27 UTC, Horcrux7
Details
expected result, MS Office 2010 show the ODS file correctly (8.24 KB, image/jpeg)
2012-04-19 02:34 UTC, Horcrux7
Details
EDF Image extracted from ODS (1.18 KB, image/x-emf)
2017-03-31 15:01 UTC, Bartosz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Horcrux7 2012-04-19 02:21:31 UTC
Created attachment 60301 [details]
ODS file with EMF file

An EMF file with clipping will be formated/painted wrong.
Comment 1 Horcrux7 2012-04-19 02:27:15 UTC
Created attachment 60302 [details]
emf file result with LibreOffice3.5.2
Comment 2 Horcrux7 2012-04-19 02:34:04 UTC
Created attachment 60303 [details]
expected result, MS Office 2010 show the ODS file correctly
Comment 3 A (Andy) 2015-02-12 20:29:45 UTC
Reproducible with LO 4.4.0.3, Win 8.1,

Note: The image is only shown after a double left mouse click on it.
Comment 4 QA Administrators 2016-02-21 08:36:59 UTC Comment hidden (obsolete)
Comment 5 Horcrux7 2016-02-21 09:41:06 UTC
No change in behavior in version 5.1.0.3 on Windows 10.
Comment 6 Bartosz 2017-03-31 15:01:54 UTC
Created attachment 132298 [details]
EDF Image extracted from ODS
Comment 7 QA Administrators 2018-06-10 02:45:39 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug